
package net.mcreator.fnafathirceborn.item;

import net.minecraftforge.fml.relauncher.SideOnly;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.common.registry.GameRegistry;
import net.minecraftforge.common.util.EnumHelper;
import net.minecraftforge.client.model.ModelLoader;
import net.minecraftforge.client.event.ModelRegistryEvent;

import net.minecraft.util.ResourceLocation;
import net.minecraft.item.ItemArmor;
import net.minecraft.item.Item;
import net.minecraft.inventory.EntityEquipmentSlot;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.client.renderer.block.model.ModelResourceLocation;

import net.mcreator.fnafathirceborn.ElementsFNAFAThirceborn;

@ElementsFNAFAThirceborn.ModElement.Tag
public class ItemScrapMetalArmor extends ElementsFNAFAThirceborn.ModElement {
	@GameRegistry.ObjectHolder("fnafathirceborn:scrapmetalarmorhelmet")
	public static final Item helmet = null;
	@GameRegistry.ObjectHolder("fnafathirceborn:scrapmetalarmorbody")
	public static final Item body = null;
	@GameRegistry.ObjectHolder("fnafathirceborn:scrapmetalarmorlegs")
	public static final Item legs = null;
	@GameRegistry.ObjectHolder("fnafathirceborn:scrapmetalarmorboots")
	public static final Item boots = null;
	public ItemScrapMetalArmor(ElementsFNAFAThirceborn instance) {
		super(instance, 15);
	}

	@Override
	public void initElements() {
		ItemArmor.ArmorMaterial enuma = EnumHelper.addArmorMaterial("SCRAPMETALARMOR", "fnafathirceborn:scrap_metal_armor", 25, new int[]{2, 5, 6, 2},
				9, (net.minecraft.util.SoundEvent) net.minecraft.util.SoundEvent.REGISTRY.getObject(new ResourceLocation("")), 0.7f);
		elements.items.add(() -> new ItemArmor(enuma, 0, EntityEquipmentSlot.HEAD).setUnlocalizedName("scrapmetalarmorhelmet")
				.setRegistryName("scrapmetalarmorhelmet").setCreativeTab(CreativeTabs.COMBAT));
		elements.items.add(() -> new ItemArmor(enuma, 0, EntityEquipmentSlot.CHEST).setUnlocalizedName("scrapmetalarmorbody")
				.setRegistryName("scrapmetalarmorbody").setCreativeTab(CreativeTabs.COMBAT));
		elements.items.add(() -> new ItemArmor(enuma, 0, EntityEquipmentSlot.LEGS).setUnlocalizedName("scrapmetalarmorlegs")
				.setRegistryName("scrapmetalarmorlegs").setCreativeTab(CreativeTabs.COMBAT));
		elements.items.add(() -> new ItemArmor(enuma, 0, EntityEquipmentSlot.FEET).setUnlocalizedName("scrapmetalarmorboots")
				.setRegistryName("scrapmetalarmorboots").setCreativeTab(CreativeTabs.COMBAT));
	}

	@SideOnly(Side.CLIENT)
	@Override
	public void registerModels(ModelRegistryEvent event) {
		ModelLoader.setCustomModelResourceLocation(helmet, 0, new ModelResourceLocation("fnafathirceborn:scrapmetalarmorhelmet", "inventory"));
		ModelLoader.setCustomModelResourceLocation(body, 0, new ModelResourceLocation("fnafathirceborn:scrapmetalarmorbody", "inventory"));
		ModelLoader.setCustomModelResourceLocation(legs, 0, new ModelResourceLocation("fnafathirceborn:scrapmetalarmorlegs", "inventory"));
		ModelLoader.setCustomModelResourceLocation(boots, 0, new ModelResourceLocation("fnafathirceborn:scrapmetalarmorboots", "inventory"));
	}
}
